Articles of adt

«Impossible d’obtenir la bibliothèque système pour le projet» après la mise à niveau vers Android SDK 2.3 et ADT 8.0

Aujourd’hui, je suis passé à Android SDK 2.3 et j’ai également mis à niveau le plugin Eclipse Androi Developer Tools 8.0 (à partir de la version 0.9.9). J’ai également mis à niveau mon Java Development Kit vers 1.6_22. Maintenant, dans Eclipse, je reçois de nombreuses erreurs dans tous mes projets Android. Les messages d’erreur sont […]

La connexion à adb est interrompue et une erreur grave s’est produite

Duplication possible: La connexion à adb est interrompue et une erreur grave s’est produite Je suis actuellement en train de développer une application pour Android dans la dernière version d’Eclipse. Lorsque j’essaie de construire et d’exécuter, voici ce qui suit: [2011-02-17 17:08:03 – ] The connection to adb is down, and a severe error has […]

Comment déboguer sur un périphérique réel (en utilisant Eclipse / ADT)

J’essaie de comprendre comment déboguer des applications directement sur mon téléphone (HTC Desire). J’ai installé le pilote USB fourni avec le téléphone et le téléphone est répertorié lorsque vous utilisez des “périphériques ADB”. Comment configurer eclipse / ADT pour lancer sur le téléphone au lieu de lancer l’émulateur / périphérique virtuel?

“Le composant Outils de plate-forme SDK est manquant!”

J’essaye d’append l’add SDK Platform 1.6 à une installation existante de 2.2, avec l’aide de ce thread . Comme suggéré, j’ai lancé Help → Check for Updates qui a trouvé et installé les éléments suivants: + Android DDMS 8.0.1.v201012062107-82219 + Android Development Tools 8.0.1.v201012062107-82219 Il m’a demandé de redémarrer Eclipse et, au redémarrage, il m’a […]

Erreur d’installation de ADT dans eclipse Indigo

Cette erreur survient lorsque j’essaie d’installer ADT: An error occurred while collecting items to be installed session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). No repository found containing: osgi.bundle,com.android.ide.eclipse.adt,16.0.1.v201112150204-238534 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.adt,16.0.1.v201112150204-238534 No repository found containing: osgi.bundle,com.android.ide.eclipse.ddms,16.0.1.v201112150204-238534 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.ddms,16.0.1.v201112150204-238534 No repository found containing: osgi.bundle,com.android.ide.eclipse.hierarchyviewer,16.0.1.v201112150204-238534 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.hierarchyviewer,16.0.1.v201112150204-238534 No repository found […]

Impossible de créer ou de modifier des périphériques virtuels Android (AVD) à partir d’Eclipse, ADT 22.6

Ce problème semble similaire à quelques autres , sauf que dans mon cas, le bouton OK n’est pas grisé. Mais pour ceux qui préfèrent ne pas cliquer sur les liens … En essayant de créer ou d’éditer un AVD depuis Eclipse, après avoir entré mes parameters, le bouton “OK” semble être “cliquable”, mais lorsque je […]

Eclipse / Android: «Erreurs lors du lancement du générateur« Android Pre Comstackr »sur le projet…»

Tentant de travailler sur un projet Android sur lequel je n’ai pas travaillé depuis quelques mois, Eclipse lance une boîte de dialog à chaque fois que je tente de construire le projet: ‘Building workspace’ has encountered a problem Errors occurred during the build. Errors running builder ‘Android Pre Comstackr’ on project ‘XXX’ java.lang.NullPointerException J’exécute Eclipse […]

Erreur: ce SDK Android nécessite Android Developer Toolkit version 22.6.1 ou supérieure

J’ai déjà installé adt version 22.6.1 il y a 2 jours. Ça marchait bien. Soudainement, quand j’ouvre aujourd’hui éclipse, elle continue à me montrer l’erreur suivante: Ce SDK Android nécessite Android Developer Toolkit version 22.6.1 ou supérieure. La version actuelle est 22.2.1.v201309180102-833290. Veuillez mettre à jour ADT vers la dernière version. Voici une capture d’écran […]

Comment puis-je mettre à jour mon ADT dans Eclipse?

J’ai essayé de mettre à jour mon Eclipse. Actuellement, j’ai jusqu’à 2.2 SDK Android dans mon Eclipse. Hier, j’ai mis à jour mon Eclipse comme ceci: Eclipse -> fenêtre -> Android SDK Manager -> J’ai coché deux cases à partir de la liste. Outils -> Outils SDK Android et Outils de plate-forme SDK Android. J’ai […]

L’exportation APK depuis eclipse (ADT) se bloque silencieusement

Chaque fois que j’essaye d’exporter un APK d’Eclipse (essayé Juno et Indigo) sur Mac, l’éclipse se bloque après quelques secondes Cela fonctionnait bien sur ma configuration actuelle. Exécuter l’application directement (mode de débogage) sur mon téléphone fonctionne bien. L’erreur de la console est la suivante: Invalid memory access of location 0x10073f113 rip=0x101f656f7 Bus error: 10 […]